INTERFACE
SUBROUTINE LAVENT(KST,KPROF,LD2TLFF1,&
 & PVCASRS0F,PRDLR0,PSGRTL,PSGRTM,PDTS2,PRCORI,PRCORIC,PGNORDL,PGNORDM,&
 & PRDELP,PEVEL,PVCW0F,PWDLW0F,PGMV,PB1,PB2) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPROMA ,NPROMVC ,NPROMDLW ,NPROMDLR ,NFLEVG ,NFLSA
USE YOMGMV , ONLY : NDIMGMV ,YT0 ,YT9
USE YOMSC2 , ONLY : NFLDSLB1 ,NFLDSLB2
USE PAR_RDLR , ONLY : JP_ASRF ,JP_DIMR0
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
LOGICAL ,INTENT(IN) :: LD2TLFF1
REAL(KIND=JPRB) ,INTENT(IN) :: PVCASRS0F(NPROMVC,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDLR0(NPROMDLR,0:NFLEVG,JP_DIMR0)
REAL(KIND=JPRB) ,INTENT(IN) :: PSGRTL(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSGRTM(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDTS2
REAL(KIND=JPRB) ,INTENT(IN) :: PRCORI(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRCORIC(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PEVEL(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCW0F(NPROMVC,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PWDLW0F(NPROMDLW,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMV(NPROMA,NFLEVG,NDIMGMV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB1(NPROMA,NFLDSLB1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PB2(NPROMA,NFLDSLB2)
END SUBROUTINE LAVENT
END INTERFACE
